import {
  getFns,
  woGetSelectSuccess,
  woCustFn,
  woformSchema,
  woCfgformSchema,
  prodCfgformSchema,
  xxCfgformSchema,
} from './bizMesWo';
import { FormSchema } from '/@/components/Table';
import { useI18n } from '/@/hooks/web/useI18n';

const { t } = useI18n();
export const formSchema: FormSchema[] = [];
export function custFunction(e: any, fnName: string, type: string, ...args) {
  switch (type) {
    case 'BIZ_MES_WO':
      getFns[fnName](e, args);
      break;
    case 'BIZ_MES_WO_Config':
      getFns[fnName](e, args);
      break;
    default:
      break;
      (e) => {};
  }
}

export function getFormSchema(type: string) {
  let _formSchema = [] as FormSchema[];
  switch (type) {
    case 'BIZ_MES_WO':
      _formSchema = woformSchema;
      break;
    case 'woinfo':
      _formSchema = woCfgformSchema;
      break;
    case 'prodinfo':
      _formSchema = prodCfgformSchema;
      break;
    case 'xxinfo':
      _formSchema = xxCfgformSchema;
      break;
    default:
      break;
      (e) => {};
  }
  return _formSchema;
}

/* 弹出选择框选择成功 */
export function GetSelectSuccess(d, u, entityName: string) {
  let data = {};
  switch (entityName) {
    case 'BIZ_MES_WO':
    case 'BIZ_MES_WO_Config':
      data = woGetSelectSuccess(d, u);
      break;
    default:
      data = {
        ITEM_CODE: d.values['val'],
      };
      break;
  }
  return data;
}

/* 打开弹出选择框 */
export function OpenSelectItem(
  openItemModal: Fn,
  entityName: string,
  slotName: string,
  others: Fn[],
  ...args
) {
  switch (entityName) {
    case 'BIZ_MES_WO':
    case 'BIZ_MES_WO_Config': //根据带入的名称打开不同的实体列表
      woCustFn(openItemModal, slotName, others, args);
      break;
    default: //默认打开物料列表
      openItemModal(true, {
        title: '物料列表',
        schemas: [
          {
            field: 'ITEM_CODE',
            component: 'Input',
            label: '物料编码',
            colProps: {
              span: 12,
            },
          },
        ],
        ItemColumns: [
          {
            title: t('物料编码'),
            dataIndex: 'ITEM_CODE',
            resizable: true,
            sorter: true,
            width: 200,
          },
          {
            title: t('物料名称'),
            dataIndex: 'ITEM_NAME',
            resizable: true,
            sorter: true,
            width: 180,
          },
        ],
        tableName: 'BAS_ITEM',
        rowKey: 'ITEM_CODE',
      });
      break;
  }
}
